### Method

# Goa Object get_media_server

deprecated: Unknown since: 3.14

#### Declaration [src]

    GoaMediaServer*
    goa_object_get_media_server (
      GoaObject* object
    )

#### Description [src]

Gets the `GoaMediaServer` instance for the D-Bus interface org.gnome.OnlineAccounts.MediaServer on `object`, if any.

Available since: 3.14

Deprecated since: Unknown

The D-Bus interface has been deprecated.

Gets property | `Goa.Object:media-server`

#### Return value

Type: `GoaMediaServer`

A `GoaMediaServer` that must be freed with `g_object_unref()` or `NULL` if `object` does not implement the interface.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.